<?php
/*----------------------------------------------------------+
| PHP-Fusion Content Management System                      |
| Copyright (C) 2002 - 2010 Nick Jones                      |
| http://www.php-fusion.co.uk/                              |
+-----------------------------------------------------------+
| This program is released as free software under the       |
| Affero GPL license. You can redistribute it and/or        |
| addonify it under the terms of this license which you     |
| can read by viewing the included agpl.txt or online       |
| at http://www.gnu.org/licenses/agpl.html. Removal of this |
| copyright header is strictly prohibited without           |
| written permission from the original author(s).           |
+----------------------------------------------------------*/

/*----------------------------------------------------------+
|             Wave Theme for PHP-Fusion v7                  |
+-----------------------------------------------------------+
| Filename: functions.php                                   |
| Author: Johan Wilson, Ankur Thakur                        |
| Author Web: http://ankurthakur.in/                        |
|             http://www.php-fusion.in/                     |
+-----------------------------------------------------------+
| This theme is released under the terms and conditions     |
| of the GNU Affero GPL v3.                                 |
+----------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

set_image("reply", "reply");
set_image("newthread", "newthread");
set_image("web", "web");
set_image("pm", "pm");
set_image("quote", "quote");
set_image("forum_edit", "forum_edit");

// lines by Johan Wilson
function theme_output($output) {

	$search = array(
		"@><img src='reply' alt='(.*?)' style='border:0px' />@si",
		"@><img src='newthread' alt='(.*?)' style='border:0px;?' />@si",
		"@><img src='web' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='pm' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='quote' alt='(.*?)' style='border:0px;vertical-align:middle' />@si",
		"@><img src='forum_edit' alt='(.*?)' style='border:0px;vertical-align:middle' />@si"
	);
	$replace = array(
		'><input type="button" value="$1" class="button" />',
		'><input type="button" value="$1" class="button" />',
		' rel="nofollow" title="$1"><input type="button" value="Web" class="button" />',
		' title="$1"><input type="button" value="PM" class="button" />',
		' title="$1"><input type="button" value="$1" class="button" />',
		' title="$1"><input type="button" value="$1" class="button" />'
	);
	$output = preg_replace($search, $replace, $output);

	return $output;
}

// Lines by Ankur Thakur - Reference from lines by Johan Wilson :P
function alter_admin_images($output) {

	$search = "@aid=(.*?)'><img src=@si";
	$replace = "aid=$1'><img class='adminimages' src=";

	$output = preg_replace($search, $replace, $output);

	return $output;
}

?>